Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158075 - System freezes (UP and SMP) when use a stressed java application
Summary: System freezes (UP and SMP) when use a stressed java application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 14:03 UTC by Alexandre LABICHE
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 13:51:25 UTC


Attachments (Terms of Use)
/var/log/messages after Alt Sysrq T M (deleted)
2005-05-18 14:08 UTC, Alexandre LABICHE
no flags Details
/var/log/messages after Alt Sysrq T M (deleted)
2005-05-18 14:08 UTC, Alexandre LABICHE
no flags Details

Description Alexandre LABICHE 2005-05-18 14:03:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
DL380 G2 uniproc
DL380 G3 SMP (2 Proc HT enabled or disabled)

Systems freezes erratically when use a Java Web Application server



Version-Release number of selected component (if applicable):
kernel-2.6.9-5.EL and kernel-2.6.9-5.0.5.EL

How reproducible:
Always

Steps to Reproduce:
1. Install Sun JDK1.5 and  a classic java stress tool like http://www.volano.com/pub/vmark2_5_0_9.class
2. If possible  use a memtester "value"  just enough to consume real memory and  leave 100 Mo real memory available (volano ./netserver.sh and ./netclient.sh already launched);  I think a little swapping system can produce crash very easily.  
3. launch a ps -ef after few minutes.  It doesn't return. Or  all is freezed.

Actual Results:  Alt Sysrq T shows  all java process including "ps -ef" not returning

ps            D 00000000  3000 26587      1               26494 (NOTLB)
c3227eec 00000082 ffffffff 00000000 ffffffff 00000000 00000000 00000000
00000000 c3227f3c c2835d60 00000001 00874612 97356883 0000025c f7e010b0
d8776d30 d8776e9c 00000000 00000000 e0c50001 f63c69b0 dcf91000 dcf91000
Call Trace:
[<c02c4de3>] rwsem_down_read_failed+0x143/0x162
[<c0127a58>] .text.lock.ptrace+0x7/0x23


Additional info:

if not freezed.  Reboot impossible ,  impossible to lauch several  programs . Only relaunch method is  to electrically shutdown/restart system.

Comment 1 Alexandre LABICHE 2005-05-18 14:08:05 UTC
Created attachment 114508 [details]
/var/log/messages  after Alt Sysrq T M

Comment 2 Alexandre LABICHE 2005-05-18 14:08:38 UTC
Created attachment 114509 [details]
/var/log/messages  after Alt Sysrq T M

Comment 4 Alexandre LABICHE 2005-05-18 16:21:42 UTC
After more investigations, whole  volano benchmark  use  2Go of memory. The net 
test works  great (10000 connexions after disabling ulimit restriction).  BUT 
if you have  less than 2 Go of real memory or  others processes consume extra 
memory (like memtester) , kernel is automatically dead, if  java processes  
begin to use some virtual memory.  It's very easy to reproduce.

Comment 5 Dave Jones 2005-05-19 03:22:25 UTC
Can you see how the U1 kernel fares on this ? You can grab a preview of it at
http://people.redhat.com/davej/kernels/RHEL4/


Comment 6 Alexandre LABICHE 2005-05-19 09:12:32 UTC
WHOOOO,

First results are great with kernel kernel-2.6.9-10  (UP  and SMP).  Now I can 
heavily  stress swap and thread(s) activity .  No process killed automatically, 
no freezes.  Just a  (normal) low response time because  of  heavy swap 
activity (kswapd)

First results are great !!!

Is it possible to know which patch  you have applied  because I have some 
others servers with custom 2.6 kernels (for ipvs version >= 2.6.10) ? 

Thanks, 
Alexandre LABICHE.

Comment 7 Larry Woodman 2005-05-19 13:24:05 UTC
Great, lots of fixes went into U1.  Please let me know if this bug can be
closed.

Thanks, Larry Woodman


Comment 8 Alexandre LABICHE 2005-05-19 13:33:02 UTC
Yes the bug can be closed.  All this day  I made  a lot of  stress tests 
without necessity to reboot any machine .  



Nota: I taked  srpms  2.6.9.10 sources  to test  this  on  other production 
machines  ( i can't  install now  a fresh RHEL 4 on these critical machines)

Thanks a lot.

Comment 9 Albert Graham 2005-05-19 20:29:09 UTC
f

Comment 10 Albert Graham 2005-05-19 21:16:29 UTC
Hello, 

Could Redhat please check for this bug against RHE3 Update 3/4 (Also was this
bug ported from RHEL3 to RHEL4 ?), We have had a simular problem with Java
causing Panics/Oops and JVM crashes on RHE3 for more than a year now, I've
reported them many many times and the general response I get from my
subscription support is "we don't support Sun Java!"

Basically under load, Java 1.4.2_xx thru 1.5_xxlatest will crash on all kernels
from > 2.4.21-15.04 thru 2.4.21-27.0.4. (2.4.21-15.04 does NOT crash Java
specifically but it does have lots of other Panic/opps issues) I only use the
SMP kernels and don't know if this happens with UP kernels ?

The problem with my setup is I cannot produce this bug at will ?, but it does
seem to happen when memory is full (8G of memory).

When the machine crashes it is either a kernel panic/oops or SIG 11 JVM crash
(usually crashes WHILE INSIDE garbage collection - which should not be
interrupted!).

Becuase I need a reliable Java environment, I am stuck in limbo land on kernel
24.21-15.04 and have to suffer many other kernel issues/panics that I know have
been fixed in later kernels.

I think this problem is kswapd/vm related but am not 100% sure.

Lastly, Alexandre in post #6 above asked "Is it possible to know which patch 
you have applied" ? could you please answer this question ?

My RHN subscription is once again up for renewal ?, I'm not sure that I should
continue with RHN having paid $1500 last year and the previous year ?, If I
renew again I would have paid $4500 ? and I'm still at first base ? - a not very
happy RH customer :(


Thank you in advance.

Albert Graham.



Comment 11 Alexandre LABICHE 2005-05-20 08:59:17 UTC
Hello,

Thanks to all contributors...

I confirm  Albert Graham's problems on redhat 3.  I think, this awful behavior 
affects Oracle database too when  a swap activity begins. We abandon linux 
platform for oracle (same problems with debian 2.4 kernels)

After analysing Changelog (I don't understand all things and  I don't know 
howto to recompile redhat 2.6.9.10 
(http://people.redhat.com/davej/kernels/RHEL4/)
 from scratch so I can't insert each patch to find which of them (or 
combinaison of patchs) is the GOD patch).

Some new patchs seem  to be very interesting (affects swap behavior)

linux-2.6.9-vm-dirty_ratio-initialisation-fix.patch
linux-2.6.9-vm-dma-zone-exhaustion.patch
linux-2.6.9-vm-improve-scanning.patch
linux-2.6.9-vm-mincore.patch
linux-2.6.9-vm-oomkiller-debugging.patch
linux-2.6.9-vm-oomkiller-tweak.patch
linux-2.6.9-vm-pageout-throttling.patch
linux-2.6.9-vm-page-writeback.patch
linux-2.6.9-vm-sc-congested.patch
linux-2.6.9-vm-swaptoken-null-mm.patch
linux-2.6.9-vm-tame-oomkiller.patch
linux-2.6.9-vm-total-scanned.patch


all of them (It's in a file,  but  are they really applied ???)

COPYING.modules
genkey
kernel-2.6.9-i686.config
kernel-2.6.9-i686-hugemem.config
kernel-2.6.9-i686-smp.config
kernel-2.6.9-ia64.config
kernel-2.6.9-ppc64.config
kernel-2.6.9-ppc64iseries.config
kernel-2.6.9-ppc.config
kernel-2.6.9-s390.config
kernel-2.6.9-s390x.config
kernel-2.6.9-x86_64.config
kernel-2.6.9-x86_64-smp.config
linux-2.4.0-nonintconfig.patch
linux-2.4.0-test11-vidfail.patch
linux-2.6.0-4g4g.patch
linux-2.6.0-compile.patch
linux-2.6.0-devmem.patch
linux-2.6.0-exec-shield.patch
linux-2.6.0-must_check.patch
linux-2.6.0-sleepon.patch
linux-2.6.10-ac-selected-bits.patch
linux-2.6.10-CAN-2005-0867-sysfs-signedness.patch
linux-2.6.10-net-3c59x-reload-EEPROM.patch
linux-2.6.10-net-e1000-update.patch
linux-2.6.10-net-e100-update.patch
linux-2.6.10-net-tg3-update.patch
linux-2.6.10-s390-cio-fix.patch
linux-2.6.10-s390-dasd_io_error-fix.patch
linux-2.6.10-s390-qdio_packet_loss-fix.patch
linux-2.6.10-s390-qdio_time_delay-fix.patch
linux-2.6.10-sata-updates.patch
linux-2.6.10-scsi-cciss-clustering-fix.patch
linux-2.6.10-scsi-midlayer-updates.patch
linux-2.6.10-scsi-qla2xxx-update.patch
linux-2.6.10-sysfs-update.patch
linux-2.6.10-x86-dma_declare_coherent_memory-kmalloc-args.patch
linux-2.6.11-s390-cio-vary_off-fix.patch
linux-2.6.11-s390-qeth_fake_ll-fix.patch
linux-2.6.11-sys_ipc-fix.patch
linux-2.6.1-s390-compile.patch
linux-2.6.2-ppc64-build.patch
linux-2.6.2-tux.patch
linux-2.6.3-crash-driver.patch
linux-2.6.3-ia64-build.patch
linux-2.6.3-printopen.patch
linux-2.6.4-stackusage.patch
linux-2.6.5-ext3-online-resize.patch
linux-2.6.5-ext3-reservations.patch
linux-2.6.5-x86-nostack.patch
linux-2.6.7-aic7xxx-diskdump.patch
linux-2.6.7-devmem.patch
linux-2.6.7-early-schedule.patch
linux-2.6.7-iobitmap.patch
linux-2.6.7-modsign-core.patch
linux-2.6.7-modsign-crypto.patch
linux-2.6.7-modsign-include.patch
linux-2.6.7-modsign-ksign.patch
linux-2.6.7-modsign-mpilib.patch
linux-2.6.7-modsign-script.patch
linux-2.6.7-netdump.patch
linux-2.6.7-scsi-whitelist.patch
linux-2.6.7-voluntary-preemption.patch
linux-2.6.8-4g4g-backout.patch
linux-2.6.8-crashdump-common.patch
linux-2.6.8-diskdump-3.patch
linux-2.6.8-diskdump-scsi-3.patch
linux-2.6.8-execshield-vaspace.patch
linux-2.6.8-ext3-reservations-update.patch
linux-2.6.8-ipr-diskdump.patch
linux-2.6.8-lockd-racewarn2.patch
linux-2.6.8-mptfusion-diskdump.patch
linux-2.6.8-netconsole.patch
linux-2.6.8-ppc64-netboot.patch
linux-2.6.8-print-fatal-signals.patch
linux-2.6.8-sym53c8xx-diskdump.patch
linux-2.6.9-4g4g-hugemem-warning.patch
linux-2.6.9-4g4g-maxtasksize.patch
linux-2.6.9-4g4g-noncachable.patch
linux-2.6.9-80211-update.patch
linux-2.6.9-80332-IOP-hotplug.patch
linux-2.6.9-ac-backouts.patch
linux-2.6.9-acpi-breakpoint-nop.patch
linux-2.6.9-acpi-debug-level.patch
linux-2.6.9-acpi-lequal-less-strict.patch
linux-2.6.9-acpi-reset-mechanism.patch
linux-2.6.9-agp-missing-cacheflushes.patch
linux-2.6.9-agp-posting-bugs.patch
linux-2.6.9-alsa-intel-hd-driver.patch
linux-2.6.9-ASPM-workaround-PCIE.patch
linux-2.6.9-autofs-leak.patch
linux-2.6.9-autofs-recognise-map-update.patch
linux-2.6.9-block-blkdev_get_blocks-EOF.patch
linux-2.6.9-block-cciss-id-updates.patch
linux-2.6.9-block-cciss-ioctl-returncode.patch
linux-2.6.9-blockfixes.patch
linux-2.6.9-block-__getblk_slow-hang.patch
linux-2.6.9-block-segment-coalesce.patch
linux-2.6.9-CAN-2004-1056-drm-insufficient-locking.patch
linux-2.6.9-CAN-2004-1137-igmp-flaws.patch
linux-2.6.9-CAN-2004-1235-do_brk.patch
linux-2.6.9-CAN-2005-0001-expand-stack-race.patch
linux-2.6.9-CAN-2005-0135-ia64-unwind.patch
linux-2.6.9-CAN-2005-0136-ia64-ptrace.patch
linux-2.6.9-CAN-2005-0176-shmlockperms.patch
linux-2.6.9-CAN-2005-0204-outs-iobitmap.patch
linux-2.6.9-CAN-2005-0207-NFSD-O_DIRECT.patch
linux-2.6.9-CAN-2005-0209-dst-leak.patch
linux-2.6.9-CAN-2005-0384-ppp-dos.patch
linux-2.6.9-CAN-2005-0400-ext2-infoleak.patch
linux-2.6.9-CAN-2005-0449-ip_defrag.patch
linux-2.6.9-CAN-2005-0531-size_t.patch
linux-2.6.9-CAN-2005-0736-epoll-overflow.patch
linux-2.6.9-CAN-2005-0749-elfloader-kfree.patch
linux-2.6.9-CAN-2005-0750-bluetooth-rangecheck.patch
linux-2.6.9-CAN-2005-0767-drm-radeon-race.patch
linux-2.6.9-CAN-2005-0815-isofs.patch
linux-2.6.9-CAN-2005-0839-N_MOUSE.patch
linux-2.6.9-CAN-2005-1263-binfmt_elf.patch
linux-2.6.9-CAN-2005-1264-raw-blkdev_ioctl.patch
linux-2.6.9-cciss-getluninfo-fix.patch
linux-2.6.9-compat-F_GETLK.patch
linux-2.6.9-cpufreq-silence-warnings.patch
linux-2.6.9-crashdump-fix-reboot-failure.patch
linux-2.6.9-dellserial.patch
linux-2.6.9-diskdump-badmsg.patch
linux-2.6.9-diskdump-condition.patch
linux-2.6.9-diskdump-dienmi.patch
linux-2.6.9-diskdump-export_state.patch
linux-2.6.9-diskdump-gendisk.patch
linux-2.6.9-diskdump-mdelay.patch
linux-2.6.9-diskdump-megaraid.patch
linux-2.6.9-diskdump-mem.patch
linux-2.6.9-diskdump-sata.patch
linux-2.6.9-diskdump-system_state.patch
linux-2.6.9-diskdump-wce.patch
linux-2.6.9-dm-64bit-fixes.patch
linux-2.6.9-dm-add-dm_dev-name.patch
linux-2.6.9-dm-avoid-bdget.patch
linux-2.6.9-dm-details-recordrestore.patch
linux-2.6.9-dm-dm_target_msg-ioctl.patch
linux-2.6.9-dm-export-mapinfo.patch
linux-2.6.9-dm-fix-mirror-log-refcount.patch
linux-2.6.9-dm-kprintf-tidy.patch
linux-2.6.9-dm-multipath-ioctl-ref-by-devno.patch
linux-2.6.9-dm-multipath.patch
linux-2.6.9-dm-multipath-suspend-requeueing.patch
linux-2.6.9-dm-raid1-deadlock-fix.patch
linux-2.6.9-dm-suspendhook.patch
linux-2.6.9-do_wait-hang-fix.patch
linux-2.6.9-dump_smp_call_function-3.patch
linux-2.6.9-dump_smp_call-i386.patch
linux-2.6.9-dump_smp_call-ia64.patch
linux-2.6.9-dump_smp_call-ppc64.patch
linux-2.6.9-dump_smp_call-x86_64.patch
linux-2.6.9-edd-config.patch
linux-2.6.9-emulex-lpfc-80163.patch
linux-2.6.9-emulex-lpfc-80166.patch
linux-2.6.9-emulex-lpfc-80166x2.patch
linux-2.6.9-emulex-lpfc.patch
linux-2.6.9-execshield-iret.patch
linux-2.6.9-exit-deadtask-nodentry-cache.patch
linux-2.6.9-exports.patch
linux-2.6.9-ExpressCard-hotplug-ICH6M.patch
linux-2.6.9-ext2-mbcache.patch
linux-2.6.9-ext3-cleanup-abort.patch
linux-2.6.9-ext3-file-limit.patch
linux-2.6.9-ext3-handle-bitmapdel.patch
linux-2.6.9-ext3-handle-double-revoke.patch
linux-2.6.9-ext3-mbcache.patch
linux-2.6.9-ext3-release-race.patch
linux-2.6.9-ext3-umount-leak.patch
linux-2.6.9-futex-disable-warning.patch
linux-2.6.9-futex-mmap_sem-deadlock.patch
linux-2.6.9-gpt-partition-noprobe.patch
linux-2.6.9-hotplug-msi-update.patch
linux-2.6.9-hugetlb_get_unmapped_area-fix.patch
linux-2.6.9-ia64-cpu-relax.patch
linux-2.6.9-ia64-cyclone-timer-fix.patch
linux-2.6.9-ia64-ia32_signal-memset-correctness.patch
linux-2.6.9-ia64-init-trigger-switch4.patch
linux-2.6.9-ia64-irq-routing-maxcpus.patch
linux-2.6.9-ia64-mmtimer-sn2-fix.patch
linux-2.6.9-ia64-pci-sn2-fix.patch
linux-2.6.9-ia64-qla1280-sn2-fix.patch
linux-2.6.9-ia64-rx1600-pdh-console-fix.patch
linux-2.6.9-ia64-sba_iommu-size.patch
linux-2.6.9-ia64-sgiioc4-sn2-fix.patch
linux-2.6.9-ia64-sgiioc-ide-workaround.patch
linux-2.6.9-ia64-sn2-update.patch
linux-2.6.9-ia64-sn-console-sn2-fix.patch
linux-2.6.9-ia64-snsc-sn2-fix.patch
linux-2.6.9-ia64-sys_waitid.patch
linux-2.6.9-ia64-tr_info-hang.patch
linux-2.6.9-ia64-zx2-idents.patch
linux-2.6.9-ide-blacklist-update.patch
linux-2.6.9-ide-cd-early-EOF.patch
linux-2.6.9-ide-cd-panic.patch
linux-2.6.9-ide-csb6-raid.patch
linux-2.6.9-idefloppy-suppress-noise.patch
linux-2.6.9-ide-supress-error-msg.patch
linux-2.6.9-ieee80211.patch
linux-2.6.9-intel8x0-sound-ids.patch
linux-2.6.9-invalidate-page-race-fix.patch
linux-2.6.9-ipw2100.patch
linux-2.6.9-ipw2100-update.patch
linux-2.6.9-ipw2200.patch
linux-2.6.9-ipw2200-update.patch
linux-2.6.9-irqaffinity-disable-E7xxx.patch
linux-2.6.9-kern_exit-race.patch
linux-2.6.9-lockd-block-nosleep.patch
linux-2.6.9-lockd-callbacks.patch
linux-2.6.9-lockd-NLM-length.patch
linux-2.6.9-lockd-reclaims.patch
linux-2.6.9-lockd-svc-reclaims.patch
linux-2.6.9-md-bi_max_vecs-fix.patch
linux-2.6.9-md-multipath-assemly.patch
linux-2.6.9-md-nr_pending.patch
linux-2.6.9-md-resync-bugs.patch
linux-2.6.9-module_version.patch
linux-2.6.9-net-b44-4g4g.patch
linux-2.6.9-net-bonding-panic.patch
linux-2.6.9-net-cmsg_signedness.patch
linux-2.6.9-net-compat-missing-security.patch
linux-2.6.9-netconsole-tg3-oops.patch
linux-2.6.9-net-e1000-64k-align-check-dma.patch
linux-2.6.9-net-e1000-avoid-sleep-in-timer-context.patch
linux-2.6.9-net-e1000-erratum23.patch
linux-2.6.9-net-e1000-flush-rmmod.patch
linux-2.6.9-net-e1000-post-mature-writeback.patch
linux-2.6.9-net-e1000-rx-mini-jumbo-inval.patch
linux-2.6.9-net-e100-e100_tx_timeout-workqueue.patch
linux-2.6.9-net-e100-fix-NAPI-state-machine.patch
linux-2.6.9-net-e100-ich7.patch
linux-2.6.9-net-e100-xmit-timeout-enable-interrupts.patch
linux-2.6.9-net-forcedeth-class-quirk.patch
linux-2.6.9-net-forcedeth-rx-csum.patch
linux-2.6.9-net-fragment-corruption.patch
linux-2.6.9-net-ftp_conntrack_leak.patch
linux-2.6.9-net-ip_options_leak.patch
linux-2.6.9-net-ipsec-sa-sequence-collision.patch
linux-2.6.9-net-ipv6-fix-mtu-calculation.patch
linux-2.6.9-netpoll-oops.patch
linux-2.6.9-net-procroute-stale-pointer.patch
linux-2.6.9-net-s2io-update.patch
linux-2.6.9-net-sctp-recv-accounting.patch
linux-2.6.9-net-sctp-sendbuffer-accounting.patch
linux-2.6.9-net-SIOCGIFHWADDR-NULL-dev_addr.patch
linux-2.6.9-net-sk98lin-module_device_table.patch
linux-2.6.9-net-sk_forward_alloc-BUG.patch
linux-2.6.9-net-tcp-bic-fix.patch
linux-2.6.9-net-tg3-fiber-autoneg-bounces.patch
linux-2.6.9-net-tr-irqlock-fix.patch
linux-2.6.9-net-tulip-waitdmastop.patch
linux-2.6.9-net-via-rhine-devinit.patch
linux-2.6.9-net-vlan-change_mtu-success.patch
linux-2.6.9-net-xfrm-fixes.patch
linux-2.6.9-NFS-auth-oops.patch
linux-2.6.9-NFS-cthon-rename.patch
linux-2.6.9-NFSD-add_set_client.patch
linux-2.6.9-NFSD-locallock-oopsfix.patch
linux-2.6.9-NFSD-non-null-getxattr.patch
linux-2.6.9-NFSD-portwarning-dottedquads.patch
linux-2.6.9-NFSD-putrootfh-return.patch
linux-2.6.9-NFSD-use_set_client4.patch
linux-2.6.9-NFS-locking-oops.patch
linux-2.6.9-NFS-mmap-corruption.patch
linux-2.6.9-NFS-mounthangfix.patch
linux-2.6.9-NFS-nlmcreds.patch
linux-2.6.9-NFS-stackoverflow.patch
linux-2.6.9-nonpower2sectorsize.patch
linux-2.6.9-overlapping-vma.patch
linux-2.6.9-pagevec-alignment.patch
linux-2.6.9-panic_on_oops-default.patch
linux-2.6.9-pci_mmcfg_write-flush_error.patch
linux-2.6.9-pcix-hotplug-fixes.patch
linux-2.6.9-ppc64-alloc-consistent-order.patch
linux-2.6.9-ppc64-cpu-hotplug-destroy_sched_domains.patch
linux-2.6.9-ppc64-cpu-hotplug-map-cpu-node.patch
linux-2.6.9-ppc64-cpu-hotplug-notifier.patch
linux-2.6.9-ppc64-cpu-hotplug-reinit-scheddomains.patch
linux-2.6.9-ppc64-cpu-hotplug-sched-domains.patch
linux-2.6.9-ppc64-cpu-hotplug-use-notifier.patch
linux-2.6.9-ppc64-eeh-recover.patch
linux-2.6.9-ppc64-eeh-reset-state2.patch
linux-2.6.9-ppc64-ensure-irqs-not-hard-disabled.patch
linux-2.6.9-ppc64-getpurr.patch
linux-2.6.9-ppc64-hvsi-hangup.patch
linux-2.6.9-ppc64-hvsi-reset.patch
linux-2.6.9-ppc64-hvsi-udbg.patch
linux-2.6.9-ppc64-ibmveth-getlink.patch
linux-2.6.9-ppc64-ibmveth-starve.patch
linux-2.6.9-ppc64-ibmvscsi-race-fix.patch
linux-2.6.9-ppc64-icom-driver.patch
linux-2.6.9-ppc64-idle-setup.patch
linux-2.6.9-ppc64-iseries-veth-mod-race.patch
linux-2.6.9-ppc64-lparcfg-paca-align.patch
linux-2.6.9-ppc64-numa-memhole.patch
linux-2.6.9-ppc64-numa-setup.patch
linux-2.6.9-ppc64-pci-hostbridge-hotplug.patch
linux-2.6.9-ppc64-prom-init.patch
linux-2.6.9-ppc64-purr.patch
linux-2.6.9-ppc64-rpaclose.patch
linux-2.6.9-ppc64-sighandler-stackalign.patch
linux-2.6.9-ppc64-signal-backtrace.patch
linux-2.6.9-ppc64-sigsuspend-regstomping.patch
linux-2.6.9-ppc64-singlestep.patch
linux-2.6.9-ppc64-tce-table-space.patch
linux-2.6.9-ppc64-tiocgicount32.patch
linux-2.6.9-ppc64-viocd-2.patch
linux-2.6.9-ppc64-viocd.patch
linux-2.6.9-ppc64-vpa-init.patch
linux-2.6.9-ppc64-vscsi.patch
linux-2.6.9-ppc64-xmon-early.patch
linux-2.6.9-procfs-deadtask-dereference.patch
linux-2.6.9-procfs-getpid-fix.patch
linux-2.6.9-ptrace-fixes.patch
linux-2.6.9-ptrace-sched-race.patch
linux-2.6.9-pty-smp-race.patch
linux-2.6.9-random-sysctl-overflow.patch
linux-2.6.9-rlimit_memlock-bypass.patch
linux-2.6.9-rpc-autherr-retry.patch
linux-2.6.9-s390-autoraid.patch
linux-2.6.9-s390-config_watchdog.patch
linux-2.6.9-s390-core_dump-fix.patch
linux-2.6.9-s390-dasd-fixed-buffer.patch
linux-2.6.9-s390-lcs_seq_numbers.patch
linux-2.6.9-s390-lcs_startup-fix.patch
linux-2.6.9-s390-no_hz_timer-fix.patch
linux-2.6.9-s390-qeth_addr-fix.patch
linux-2.6.9-s390-qeth-fake_ll-fix.patch
linux-2.6.9-s390-qeth_hipersocket-fix.patch
linux-2.6.9-s390-zfcp_port-fix.patch
linux-2.6.9-s390-zfcp-stackframe.patch
linux-2.6.9-sata-ahci-update.patch
linux-2.6.9-sata-lba48-max-sectors.patch
linux-2.6.9-sata-nth-page.patch
linux-2.6.9-sata.patch
linux-2.6.9-sata-updates.patch
linux-2.6.9-scsi-aacraid-dead-param.patch
linux-2.6.9-scsi-aac-remove-handle-aif.patch
linux-2.6.9-scsi-aic-hostraid.patch
linux-2.6.9-scsi-aic-leakplug.patch
linux-2.6.9-scsi-aic-oops-nohardware.patch
linux-2.6.9-scsi-bounce-limit.patch
linux-2.6.9-scsi-full-status-sg_io.patch
linux-2.6.9-scsi-inverted-refcounting.patch
linux-2.6.9-scsi-ioctl-overflow.patch
linux-2.6.9-scsi-ips-update.patch
linux-2.6.9-scsi-megaraid-kioc.patch
linux-2.6.9-scsi-megaraid-update.patch
linux-2.6.9-scsi-megaraid-warning-fixes.patch
linux-2.6.9-scsi-NULL-iterate-devices.patch
linux-2.6.9-scsi-qla-fix-hw-segment-counting.patch
linux-2.6.9-scsi-refcount-cmd-allocation.patch
linux-2.6.9-scsi-reset-ULDs.patch
linux-2.6.9-scsi-sg_cmd_done-sg_release-race.patch
linux-2.6.9-scsi-silence-sg_io-warning.patch
linux-2.6.9-scsi-test_unit_ready-cdrom.patch
linux-2.6.9-scsi-usb-forced-remove-oops.patch
linux-2.6.9-selected-ac-bits.patch
linux-2.6.9-selinux-avc-deadlock.patch
linux-2.6.9-selinux-avc-rcu.patch
linux-2.6.9-selinux-avc_update_node-spinlock-oops.patch
linux-2.6.9-selinux-destroy-avtab-node-cache.patch
linux-2.6.9-selinux-mediate-send_sigurg.patch
linux-2.6.9-selinux-netif-fixes.patch
linux-2.6.9-selinux-setscheduler-deadlock.patch
linux-2.6.9-selinux-setxattr-daccheck.patch
linux-2.6.9-selinux-sidtab-locking-fix.patch
linux-2.6.9-selinux-xattr-rework-tmpfs-mm.patch
linux-2.6.9-sha1.patch
linux-2.6.9-signal-handling-dr7.patch
linux-2.6.9-speedtouch.patch
linux-2.6.9-spinlock-debug-panic.patch
linux-2.6.9-statm-combined.patch
linux-2.6.9-sx8-sysfs.patch
linux-2.6.9-sys_io_setup-unwritable-addr.patch
linux-2.6.9-taint-badpage.patch
linux-2.6.9-taint-force-rmmod.patch
linux-2.6.9-taint-mce.patch
linux-2.6.9.tar.bz2
linux-2.6.9-timer-barrier.patch
linux-2.6.9-tmpfs-truncate-BUG.patch
linux-2.6.9-tty-locking-fix.patch
linux-2.6.9-usb-edgeport-overflows.patch
linux-2.6.9-usb-storage-reload.patch
linux-2.6.9-vc-resizing-overflow.patch
linux-2.6.9-vesafb-probe-error.patch
linux-2.6.9-via-apic-quirk-devinit.patch
linux-2.6.9-vm-dirty_ratio-initialisation-fix.patch
linux-2.6.9-vm-dma-zone-exhaustion.patch
linux-2.6.9-vm-improve-scanning.patch
linux-2.6.9-vm-mincore.patch
linux-2.6.9-vm-oomkiller-debugging.patch
linux-2.6.9-vm-oomkiller-tweak.patch
linux-2.6.9-vm-pageout-throttling.patch
linux-2.6.9-vm-page-writeback.patch
linux-2.6.9-vm-sc-congested.patch
linux-2.6.9-vm-swaptoken-null-mm.patch
linux-2.6.9-vm-tame-oomkiller.patch
linux-2.6.9-vm-total-scanned.patch
linux-2.6.9-waitid-bogus-ECHILD.patch
linux-2.6.9-x86_64-amd-dualcore.patch
linux-2.6.9-x86_64-change_page_attr-flush-fix.patch
linux-2.6.9-x86_64-clustered-apic.patch
linux-2.6.9-x86_64-configure-oops-stackdump.patch
linux-2.6.9-x86_64-copy_user_generic-exception.patch
linux-2.6.9-x86_64-flexmmap.patch
linux-2.6.9-x86_64-hit-hpet-twice.patch
linux-2.6.9-x86_64-hugetlb.patch
linux-2.6.9-x86_64-lost-edge-triggered-irqs.patch
linux-2.6.9-x86_64-mga-dri.patch
linux-2.6.9-x86_64-missing-compat-ioctls.patch
linux-2.6.9-x86_64-ni_syscall-overrun.patch
linux-2.6.9-x86_64-nmi-switch.patch
linux-2.6.9-x86_64-panic_timeout.patch
linux-2.6.9-x86_64-phys_proc_id-only-when-initialised.patch
linux-2.6.9-x86_64-srat-numa.patch
linux-2.6.9-x86_64-switch_to-missinglock.patch
linux-2.6.9-x86_64-syscall_signal-restart.patch
linux-2.6.9-x86_64-task_size-32bit.patch
linux-2.6.9-x86-enhanced-speedstep.patch
linux-2.6.9-x86-intel-ich7-ids.patch
linux-2.6.9-x86-share-cachedescriptors.patch
linux-2.6.9-x86-show_trace-irq-context.patch
linux-2.6.9-x86-sysenter-ebp.patch
linux-2.6.9-x86-sysrq-b-oops.patch
linux-2.6.9-x86-vsyscall-sysenter-unwind-info.patch
linux-2.6.9-xtime-correctness.patch
patch-2.6.9-ac11.bz2


Comment 12 Albert Graham 2005-05-20 10:25:39 UTC
Thank you Alexandre, I am extremely happy that you have confirmed this bug on
RHEL 3, thank you very much. 

I also tried Java 1.5x on my machine and get:

# An unexpected error has been detected by HotSpot Virtual Machine:
#
#  SIGSEGV (0xb) at pc=0xb75c5820, pid=547, tid=2777164720
#
# Java VM: Java HotSpot(TM) Server VM (1.5.0_03-b07 mixed mode)
# Problematic frame:
# C  [libpthread.so.0+0x6820]  __pthread_mutex_trylock+0x10
#
# An error report file with more information is saved as hs_err_pid547.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#

within  a day of uptime.

Alexandre, Can you re-open this bug please as I don't have permission to do so.

I think this problem is related to: 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=144680

and

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=132639

Also the "God Patch" was added after kernel 2.4-21.15.04 

I can also confirm that oracle will crash on all kernels >2.4-21.15.04 which I
also think is related to this bug ? - a real Show stopper for oracle users :(

If someone can produce a Beta Kernel for RHEL 3, I will test.

Thank you.

Albert.








Comment 13 Alexandre LABICHE 2005-05-20 14:08:21 UTC
Hello

I can't reopen this bug for redhat 3. For the moment it is better with this 
this beta RHEL4 kernel 2.6.9.10 .  And I definitly abandon 2.4 kernels after 
spending months of debugging of my (your? problem). 

For the fun  I have compiled  standard kernel 2.6.11-10 and compare with beta 
kernel.  I think the oom-killer is more aggressive (2.6.11-10). And if oom-
killer try to shoot  a java application server, I don't know why but system 
freezes particulary on java. oom-killer can't kill properly java processes 
(perhaps because of lot of threads inside java programs)


A good swap test and killing OS:

launch  your normal java application  (if oom-killer try to shoot java it's 
dead)

Recipe very easy to reproduce (example You have a 3 Go system you choose to 
launch every 5 minutes a memtester of 250 Mo)




In a crontab

*/5 * * * * /usr/bin/memtester 250

So kernel oom-killer after a while begins to shoot extra memtester
(normally ...) .

You leave this system one day.

Bye and good luck.

Comment 14 Alexandre LABICHE 2005-05-20 14:08:53 UTC
Hello

I can't reopen this bug for redhat 3. For the moment it is better with this 
this beta RHEL4 kernel 2.6.9.10 .  And I definitly abandon 2.4 kernels after 
spending months of debugging of my (your? problem). 

For the fun  I have compiled  standard kernel 2.6.11-10 and compare with beta 
kernel.  I think the oom-killer is more aggressive (2.6.11-10). And if oom-
killer try to shoot  a java application server, I don't know why but system 
freezes particulary on java. oom-killer can't kill properly java processes 
(perhaps because of lot of threads inside java programs)


A good swap test and killing OS:

launch  your normal java application  (if oom-killer try to shoot java it's 
dead)

Recipe very easy to reproduce (example You have a 3 Go system you choose to 
launch every 5 minutes a memtester of 250 Mo)




In a crontab

*/5 * * * * /usr/bin/memtester 250

So kernel oom-killer after a while begins to shoot extra memtester
(normally ...) .

You leave this system one day.

Bye and good luck.

Comment 15 Albert Graham 2005-05-20 15:52:02 UTC
On thing I have learnt from using RHEL is that you should wait for at least a
month or two before installing new Kernels regardless of the secrity implications.

I really like Kernel 2.6 but I am not in a position to use it in our environment
  at this time.

I have opened the same ticket refering to this bug for RHEL 3 so it at least
gets fixed (hopefully in Update 5 or 6)

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158328


Comment 16 Albert Graham 2005-05-23 19:50:10 UTC
Alexandre, Could I ask a huge favor of you ?

Could you run your crash test on RHEL 3 Update 5, I need to confirm that this
problem still exists in RHEL 3-U5, which I think it must, because RHELU5 was
released about the same time you first created this thread. ?

I'm not sure that this is going to be fixed unless it can be proven that it
exists in U5. 

Could you also report back either of these threads:

RHEL 4 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158075

RHEL 3 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158328

Thanks in advance.

Albert Graham.


Thanks in advance,
Albert.











Note You need to log in before you can comment on or make changes to this bug.